<!DOCTYPE html>
<html lang="pl" xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Moje konta bankowe</title>
    <meta charset="UTF-8">
    <link href="/css/main2.css" rel="stylesheet"/>
</head>

<body>

<header th:insert="~{headerLogged :: copy}"></header>

<section class="my_bank_accounts">
    <table th:each="account : ${myBankAccountList}"
           th:style="${account}? 'font-weight: bold;'"
           th:alt-title="${account}? 'even' : 'odd'">
        <tr>
            <td th:if="${account.isDepositAccount()} == false"> Konto zwykłe</td>
            <td th:if="${account.isDepositAccount()} == true"> Konto oszczędnościowe</td>
        </tr>
        <tr>
            <td>Nazwa konta</td>
            <td th:text="${account.getName()}"></td>
        </tr>
        <tr>
            <td>Numer konta</td>
            <td th:text="${account.getNumber()}"></td>
        </tr>
        <tr>
            <td>Stan konta</td>
            <td th:text="${account.getBalance()}"></td>
        </tr>
        <tr>
            <td>Waluta</td>
            <td th:text="${account.getCurrency()}"></td>
        </tr>
        <tr>
            <td>Data utworzenia</td>
            <td th:text="${account.getCreationDate()}"></td>
        </tr>
        <tr>
            <td></td>
            <td></td>
        </tr>
    </table>
    <div th:if="${myBankAccountList.totalPages > 0}" class="pagination"
         th:each="pageNumber : ${pageNumbers}">
        <a th:href="@{/login/myBankAccounts(size=${myBankAccountList.size}, page=${pageNumber})}"
           th:text=${pageNumber}
           th:class="${pageNumber==myBankAccountList.number + 1} ? active"></a>
    </div>
</section>
<footer th:insert="~{footer :: copy}"></footer>

</body>

</html>